Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.xpath
Class XPathConversionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.novell.xml.xpath.XPathException
                  com.novell.xml.xpath.XPathEvaluationException
                      com.novell.xml.xpath.XPathConversionException

All Implemented Interfaces:
  Serializable

    public class XPathConversionException

extends XPathEvaluationException

exception thrown when a non-allowed conversion is attempted e.g., trying to convert a NodeSet to anything else

See Also:
  `ExpressionValue`, Serialized Form

Field Summary
`static String` | `CANT_CONVERT`
`static String` | `TO_BOOLEAN`
`static String` | `TO_NODE_SET`
`static String` | `TO_NUMBER`
`static String` | `TO_STRING`
`static String` | `TO_TYPE`

Fields inherited from class com.novell.xml.xpath.XPathEvaluationException
`FUNCTION_ERROR, VARIABLE_NOT_FOUND`

Constructor Summary
`XPathConversionException()`
`XPathConversionException(String key)`
`XPathConversionException(String key, String parm)`
`XPathConversionException(String key, String[] parms)`

Method Summary

Methods inherited from class com.novell.xml.xpath.XPathException
`getString, getString, getString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TO_NODE_SET

    public static final String TO_NODE_SET

See Also:
  Constant Field Values

### CANT_CONVERT

    public static final String CANT_CONVERT

See Also:
  Constant Field Values

### TO_BOOLEAN

    public static final String TO_BOOLEAN

See Also:
  Constant Field Values

### TO_STRING

    public static final String TO_STRING

See Also:
  Constant Field Values

### TO_NUMBER

    public static final String TO_NUMBER

See Also:
  Constant Field Values

### TO_TYPE

    public static final String TO_TYPE

See Also:
  Constant Field Values

Constructor Detail

### XPathConversionException

    public XPathConversionException(String key)

### XPathConversionException

    public XPathConversionException(String key,
                                    String parm)

### XPathConversionException

    public XPathConversionException(String key,
                                    String[] parms)

### XPathConversionException

    public XPathConversionException()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD